System.Security 2.0.0.0 4.0.0.0 System.Object

The class represents the <CipherData> element in XML encryption. It is a required element that provides the encrypted data. It must either contain the encrypted data as base64-encoded text of the <CipherValue> element, or provide a reference to an external location containing the encrypted data using the <CipherReference> element.

In many cases, you do not need to directly create a new instance of the class. The , , and classes create instances for you.

A object can have either a property or a property, but not both. A is thrown if both are assigned to a object.

Represents the <CipherData> element in XML encryption. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a object that represents the <CipherData> element in XML encryption. The <CipherData> element is a required element in XML encryption.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a object that represents the <CipherData> element in XML encryption. The constructor assigns the value to the property as the actual encrypted data.

  The <CipherData> element can have either a or a child element, but not both. A is thrown if both are assigned to a object.

  Initializes a new instance of the class using a byte array as the value.

  The encrypted data to use for the <CipherValue> element.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor creates a object that represents the <CipherData> element in XML encryption and assigns the value to the property. The object represents the <CipherReference> element, which provides the location of the encrypted data.

  A object can have either a property or a property, but not both. A is thrown if both are assigned to a object.

  Initializes a new instance of the class using a object.

  The object to use.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.Xml.CipherReference To be added.

  The <CipherReference> element identifies a source which, when processed, yields the encrypted data. For more information about this element, see .

  A object can have either a property or a property, but not both. A is thrown if both are assigned to a object.

  Gets or sets the <CipherReference> element.

- Property
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  The value is encrypted data.

  The <CipherData> element can have either a or a child element, but not both. A is thrown if both are assigned to a object.

  Gets or sets the <CipherValue> element.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  Use this method to output XML for a object.

  Gets the XML values for the object.

  A object that represents the XML information for the object.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method overwrites existing XML elements with the parameter.

  Loads XML data from an into a object.

  An that represents the XML data to load.